Search TikTok's Creator Marketplace by filters, one page of creators
POST
/api/public/v1/tik_tok_shop/creators/discoverConnectorAnswers empty results in the documented shape until the brand switches on this connection.
Operation id discoverTikTokShopCreators
Request
curl
curl -X POST "https://creator.growthdept.ai/api/public/v1/tik_tok_shop/creators/discover" \
-H "Authorization: Bearer gdc_..." \
-H "Content-Type: application/json" \
-d '{"advanced":{"contentPreference":["VIDEO"],"eligibleFlatFee":true,"options":[{"optionType":"OPTION_VERTICAL_PRO","options":[{"children":null,"id":null,"name":null}]}],"sorterAlgorithmId":"string"},"affiliate":{"agencyStatus":"AGENCY_MANAGED","avgCommissionRate":"LESS_THAN_20%","fastGrowing":true,"notInvitedLast90Days":true,"postRate":"OK"},"categories":[{"childCategoryIds":["string"],"parentCategoryId":"string"}],"contentPerformance":{"avgEngagementRateMin":3,"avgLiveViewersMin":3,"avgShoppableEngagementRateMin":3,"avgShoppableLiveViewersMin":3,"avgShoppableVideoViewsMin":3,"avgVideoViewsMin":3},"dataGroups":["BASIC_CREATOR_INFORMATION"],"followers":{"ageRanges":["AGE_RANGE_18_24"],"countMax":3,"countMin":3,"gender":{"gender":"MALE","minShareBp":3}},"gmvRanges":["GMV_RANGE_0_100"],"keyword":"string","pageSize":12,"pageToken":"string","searchKey":"string","unitsSoldRanges":["UNITS_SOLD_RANGE_0_10"]}'Parameters
| Name | In | Type | Notes |
|---|---|---|---|
| organization_id | query | integer |
Request body
| Field | Type | Notes |
|---|---|---|
| advanced | object | |
| advanced.contentPreference | array of string | |
| advanced.eligibleFlatFee | boolean | |
| advanced.options | array of object | |
| advanced.options[].[].optionType | string | requiredOne of OPTION_VERTICAL_PROOPTION_LANGUAGEOPTION_CREATOR_LEVELOPTION_SORTEROPTION_BRAND |
| advanced.options[].[].options | array of object | required |
| advanced.options[].[].options[].[].children | array of object | |
| advanced.options[].[].options[].[].id | string | required |
| advanced.options[].[].options[].[].name | string | |
| advanced.sorterAlgorithmId | string | |
| affiliate | object | |
| affiliate.agencyStatus | string | One of AGENCY_MANAGEDINDEPENDENT |
| affiliate.avgCommissionRate | string | One of LESS_THAN_20%LESS_THAN_15%LESS_THAN_10%LESS_THAN_5% |
| affiliate.fastGrowing | boolean | |
| affiliate.notInvitedLast90Days | boolean | |
| affiliate.postRate | string | One of OKGOODBETTER |
| categories | array of object | |
| categories[].[].childCategoryIds | array of string | |
| categories[].[].parentCategoryId | string | required |
| contentPerformance | object | |
| contentPerformance.avgEngagementRateMin | integer | |
| contentPerformance.avgLiveViewersMin | integer | |
| contentPerformance.avgShoppableEngagementRateMin | integer | |
| contentPerformance.avgShoppableLiveViewersMin | integer | |
| contentPerformance.avgShoppableVideoViewsMin | integer | |
| contentPerformance.avgVideoViewsMin | integer | |
| dataGroups | array of string | |
| followers | object | |
| followers.ageRanges | array of string | |
| followers.countMax | integer | |
| followers.countMin | integer | |
| followers.gender | object | |
| followers.gender.gender | string | requiredOne of MALEFEMALE |
| followers.gender.minShareBp | integer | required |
| gmvRanges | array of string | |
| keyword | string | |
| pageSize | integer | One of 1220 |
| pageToken | string | |
| searchKey | string | |
| unitsSoldRanges | array of string |
Example
{
"advanced": {
"contentPreference": [
"VIDEO"
],
"eligibleFlatFee": true,
"options": [
{
"optionType": "OPTION_VERTICAL_PRO",
"options": [
{
"children": null,
"id": null,
"name": null
}
]
}
],
"sorterAlgorithmId": "string"
},
"affiliate": {
"agencyStatus": "AGENCY_MANAGED",
"avgCommissionRate": "LESS_THAN_20%",
"fastGrowing": true,
"notInvitedLast90Days": true,
"postRate": "OK"
},
"categories": [
{
"childCategoryIds": [
"string"
],
"parentCategoryId": "string"
}
],
"contentPerformance": {
"avgEngagementRateMin": 3,
"avgLiveViewersMin": 3,
"avgShoppableEngagementRateMin": 3,
"avgShoppableLiveViewersMin": 3,
"avgShoppableVideoViewsMin": 3,
"avgVideoViewsMin": 3
},
"dataGroups": [
"BASIC_CREATOR_INFORMATION"
],
"followers": {
"ageRanges": [
"AGE_RANGE_18_24"
],
"countMax": 3,
"countMin": 3,
"gender": {
"gender": "MALE",
"minShareBp": 3
}
},
"gmvRanges": [
"GMV_RANGE_0_100"
],
"keyword": "string",
"pageSize": 12,
"pageToken": "string",
"searchKey": "string",
"unitsSoldRanges": [
"UNITS_SOLD_RANGE_0_10"
]
}Responses
200Success
| Field | Type | Notes |
|---|---|---|
| creators | array of object | required |
| creators[].[].avatarUrl | string, nullable | |
| creators[].[].avgShoppableLiveViewers | integer, nullable | |
| creators[].[].avgShoppableVideoViews | integer, nullable | |
| creators[].[].categoryIds | array of string | |
| creators[].[].followerCount | integer, nullable | |
| creators[].[].gmv | object, nullable | |
| creators[].[].gmv.amount | string, nullable | |
| creators[].[].gmv.currency | string, nullable | |
| creators[].[].gmvRange | object, nullable | |
| creators[].[].gmvRange.currency | string, nullable | |
| creators[].[].gmvRange.formatted | string, nullable | |
| creators[].[].gmvRange.max | string, nullable | |
| creators[].[].gmvRange.min | string, nullable | |
| creators[].[].liveGmv | object, nullable | |
| creators[].[].liveGmv.amount | string, nullable | |
| creators[].[].liveGmv.currency | string, nullable | |
| creators[].[].nickname | string, nullable | |
| creators[].[].openId | string | required |
| creators[].[].profile | object, nullable | |
| creators[].[].profile.creatorLevel | integer, nullable | |
| creators[].[].profile.hasCollaborated | boolean, nullable | |
| creators[].[].profile.hasInvitedLast90Days | boolean, nullable | |
| creators[].[].profile.isBlockedByShop | boolean, nullable | |
| creators[].[].profile.isEligibleFlatFee | boolean, nullable | |
| creators[].[].profile.isFastGrowing | boolean, nullable | |
| creators[].[].profile.isOfficialRecommend | boolean, nullable | |
| creators[].[].profile.isRisingStar | boolean, nullable | |
| creators[].[].profile.mcnName | string, nullable | |
| creators[].[].profile.ppsScore | string, nullable | |
| creators[].[].profile.userTypeTags | array of integer | |
| creators[].[].selectionRegion | string, nullable | |
| creators[].[].topFollowerDemographics | object, nullable | |
| creators[].[].topFollowerDemographics.ageRanges | array of string | |
| creators[].[].topFollowerDemographics.majorGender | object, nullable | |
| creators[].[].topFollowerDemographics.majorGender.gender | string, nullable | |
| creators[].[].topFollowerDemographics.majorGender.percentageBp | integer, nullable | |
| creators[].[].unitsSoldRange | object, nullable | |
| creators[].[].unitsSoldRange.formatted | string, nullable | |
| creators[].[].unitsSoldRange.max | integer, nullable | |
| creators[].[].unitsSoldRange.min | integer, nullable | |
| creators[].[].username | string, nullable | |
| creators[].[].videoGmv | object, nullable | |
| creators[].[].videoGmv.amount | string, nullable | |
| creators[].[].videoGmv.currency | string, nullable | |
| hasMore | boolean | required |
| nextPageToken | string, nullable | required |
| persisted | boolean | required |
| quota | object, nullable | required |
| quota.limit | integer | |
| quota.remaining | integer | |
| quota.resetsAt | string (date-time) | |
| quota.scope | string | One of gateway_discover_daily |
| quota.used | integer | |
| searchKey | string, nullable | required |
Example
{
"creators": [
{
"avatarUrl": "https://example.com/p/1",
"avgShoppableLiveViewers": 3,
"avgShoppableVideoViews": 3,
"categoryIds": [
"string"
],
"followerCount": 3,
"gmv": {
"amount": "string",
"currency": "usd"
},
"gmvRange": {
"currency": "usd",
"formatted": "string",
"max": "string",
"min": "string"
},
"liveGmv": {
"amount": "string",
"currency": "usd"
},
"nickname": "Example name",
"openId": "string",
"profile": {
"creatorLevel": 3,
"hasCollaborated": true,
"hasInvitedLast90Days": true,
"isBlockedByShop": true,
"isEligibleFlatFee": true,
"isFastGrowing": true,
"isOfficialRecommend": true,
"isRisingStar": true,
"mcnName": "Example name",
"ppsScore": "string",
"userTypeTags": [
3
]
},
"selectionRegion": "string",
"topFollowerDemographics": {
"ageRanges": [
"string"
],
"majorGender": {
"gender": "string",
"percentageBp": 3
}
},
"unitsSoldRange": {
"formatted": "string",
"max": 3,
"min": 3
},
"username": "Example name",
"videoGmv": {
"amount": "string",
"currency": "usd"
}
}
],
"hasMore": true,
"nextPageToken": "string",
"persisted": true,
"quota": {
"limit": 3,
"remaining": 3,
"resetsAt": "2026-11-01T15:04:05Z",
"scope": "gateway_discover_daily",
"used": 3
},
"searchKey": "string"
}Errors: 400401403404422429502with an error and usually a message. See errors.
Example values are made up from each field's type and name.